AC_DEFUN(GST_C_SIGNED, [

AC_CACHE_CHECK(for signed, gst_cv_c_signed,
[AC_TRY_COMPILE(, [signed int x; ],
    gst_cv_c_signed=yes, gst_cv_c_signed=no)
])
test $gst_cv_c_signed = no && \
AC_DEFINE_UNQUOTED(signed, , [Define as empty if the C compiler doesn't support it.])

])dnl
